Skip to main content
GET
/
api
/
public
/
problems
/
{problemId}
Get problem details
curl --request GET \
  --url https://api.ropes.ai/api/public/problems/{problemId} \
  --header 'x-api-key: <api-key>'
{
  "problem": {
    "id": "<string>",
    "name": "<string>",
    "duration": 123,
    "candidateSummary": "<string>",
    "problemSummary": "<string>",
    "scoringCategories": [
      {
        "title": "<string>",
        "weight": 123,
        "rubric": "<string>"
      }
    ],
    "integrationSource": "<string>",
    "externalId": "<string>",
    "testMode": true,
    "isFromRopesTestBank": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ropes.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

problemId
string
required

The unique identifier of the problem

Response

Successfully retrieved problem details

problem
object
required

Detailed problem information